<script setup lang="ts">
import { RouterLink, RouterView } from 'vue-router'
import LoginView from './views/Login/LoginView.vue';

import MainAppBar from './components/AppComponent/MainAppBar.vue';
import MainMenu from './components/AppComponent/MainMenu.vue';
import MainMenuStaff from './components/AppComponent/MainMenuStaff.vue';

import { provide, ref } from 'vue';
import { useAuthStore } from './stores/auth';

const rail = ref(true)
const drawer = ref(true)
const authStore = useAuthStore()

provide('rail',rail)
provide('drawer',drawer)
</script>

<template>
  <v-app style="background-color: #E7D0B9;  background-image: url('/img/background.jpg');background-size: cover;">
  <v-layout v-if="!authStore.currentUser" class="justify-center align-center" style="background-image: url('/img/background2.png');background-size: cover;" >
    <!-- login phase -->
    <div v-if="!authStore.currentUser" class="text-center" >
      <MainAppBar></MainAppBar>
      <LoginView></LoginView>
    </div>
  </v-layout>
  <v-layout v-if="authStore.currentUser" class="justify-center align-center">
    <div>
      <div>
        <MainAppBar></MainAppBar>
      </div>
      <!-- main menu of manager -->
      <div v-if="authStore.currentUser?.role == 'manager'">
        <MainMenu></MainMenu>
      </div>
      <!-- staff menu -->
      <div v-if="authStore.currentUser?.role == 'staff'">
        <MainMenuStaff></MainMenuStaff>
      </div>
        <v-main class="align-center justify-center" style="min-height: 300px;" v-if="authStore.currentUser">
            <div class="pa-3 align-center justify-center">
              <RouterView></RouterView>
            </div>
        </v-main>
      </div>  
  </v-layout>
  </v-app>
</template>